Jump to content

OpenGL ES 3D drivers, v1 compatibility layer


Guest Chainfire
 Share

Recommended Posts

Guest eric2k

I noticed on JE1/JD6 6.5.3 roms this package will mess up the encluded Opera 9.7.

IE go to History or Downloads or bookmarks sometimes. The bottom menu bar goes missing.

same with in browser.... this is sort of weird. I know opera uses GL if its there so...

If i uninstall the drivers here it all works perfectly. Just thought id pass this along.

Link to comment
Share on other sites

Guest GinKage
I noticed on JE1/JD6 6.5.3 roms this package will mess up the encluded Opera 9.7.

Hm, it worked very well with a separate Opera 9.7 install...

Well, I'll wait a couple of weeks until there's an official 6.5.3 upgrade available, then I'll fix this. At the moment I just don't have enough time to reflash so often.

Link to comment
Share on other sites

Guest jebise
Hm, it worked very well with a separate Opera 9.7 install...

Well, I'll wait a couple of weeks until there's an official 6.5.3 upgrade available, then I'll fix this. At the moment I just don't have enough time to reflash so often.

if you can update your driver so it works better with rapid81 sence 2.5 that would be great. Maybe landscape and the white squares that we are getting with the current ROM.

Link to comment
Share on other sites

Guest Rapid81
if you can update your driver so it works better with rapid81 sence 2.5 that would be great. Maybe landscape and the white squares that we are getting with the current ROM.

The white squares caused by the 6.5.X ROM's gles.dll, not GK's wrapper. That's why I'm cooking only with 6.5 ROMs. But I'm glad to an updated version of the wrapper. I'll buy you a beer then or anything you want GK!

Link to comment
Share on other sites

Guest Don Rafael

Here's what I have observed after I installed the OpenGl 1.0 in my M900.

1) xtrakt and testOpenGL works fine with the current drivers.

2) When .net compact framework 3.5 is installed both applications crashed.

3) After unistalling .NET compact framework 3.5 still both xtrakt and testOpenGL crashes. Thus leaving me no choice but to hard reset the phone and re-install the drivers.

I am not sure what i am doing wrong but i wanted to know if there are known issues running both .NET framework and the openGL drivers in M900.

BTW, i am using daskalos custom lite ROM

THanks.

Link to comment
Share on other sites

Guest GinKage
Here's what I have observed after I installed the OpenGl 1.0 in my M900.

OK, you have copy-pasted your question, I'll copy-paste my answer: Can't say anything about M900, as I neither have one nor do I have any friends who has it.

Link to comment
Share on other sites

Guest Rapid81
Spb Mobile Shell was updated to version 3.5.4, with quite well-working carousel (at last).

And that's means there is a proper opengl driver in it?

Link to comment
Share on other sites

Guest Ryrzy
And that's means there is a proper opengl driver in it?

no this means that new spb uses opengl v2.0 that is from beginig in o2

Link to comment
Share on other sites

Guest GinKage
And that's means there is a proper opengl driver in it?

They've just optimized their GL2 shaders, probably in the way that I've proposed them a couple of months ago.

Link to comment
Share on other sites

Guest Ryrzy
They've just optimized their GL2 shaders, probably in the way that I've proposed them a couple of months ago.

hehe they should pay you for this :) it would be nice to uptade sense to gl2...

Link to comment
Share on other sites

Guest GinKage
it would be nice to uptade sense to gl2...

If (when) HTC will do this, they'll probably do it in the way that isn't compatible with i8000. I mean, they'll probably use shaders as GLSL sources (because Qualcomm drivers allow this), not precompiled FIMGs.

Link to comment
Share on other sites

Guest AnteSaric

can some1 give me a link for spb shell 3.5 with 3d carusell and all other link to get it work...don't have time to look up all 31 pages :DDD thx :*

Link to comment
Share on other sites

Guest barrery
http://spbsoftwarehouse.com - just download Spb Mobile SHell 3.5.4 there and run it. That's all.

I have changed the new version Spb Mobile SHell 3.5.4,but 3D carousel still not work.

I have already changed the GIenable 0-->1.

My device is B7300.

Plz help me, thanks.

Link to comment
Share on other sites

Guest dvoretsa

Good day to all

Is this driver support Opera Mobile 10 or only Opera Mobile 9.7?

P.S. I test it on Opera 10 and driver work, but only in portret mode, not landscape. Why?

Edited by dvoretsa
Link to comment
Share on other sites

Guest arthurjohngeronimo
If (when) HTC will do this, they'll probably do it in the way that isn't compatible with i8000. I mean, they'll probably use shaders as GLSL sources (because Qualcomm drivers allow this), not precompiled FIMGs.

i think the new version would work smoothly specially the 3d carousel with O2 right? on omnia 1, i think evrything would still be the same (visually).. hmmm... will be downloading the 3.5.4, and see if carousel works better.. :rolleyes: thanks for the heads up

Link to comment
Share on other sites

Guest surenz
i think the new version would work smoothly specially the 3d carousel with O2 right? on omnia 1, i think evrything would still be the same (visually).. hmmm... will be downloading the 3.5.4, and see if carousel works better.. :rolleyes: thanks for the heads up

since v 3.5.3 the SPB Mobile shell is using OpenGL 2 ES so the compatibility layer of Ginkage has nothing to do. The speed of caroussel in 3.5.4 is the same IMO. The 3d sms viewer is not using any 3d effect. So waiting for the v5 :D

Link to comment
Share on other sites

  • 3 weeks later...
Guest GinKage
is this most likely the best graphics we will see from this device??

Well, it kinda seems so. Windows Mobile was never a platform for gaming anyway...

I think I'll kick this corpse a couple of times more, but - later, when I'll have more free time.

Link to comment
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now
 Share

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.